//
//  ImageIOViewController.m
//  ImageIO
//
//  Created by Tomonari Shimada on 10/10/08.
//  Copyright 2010 Blueair Inc. All rights reserved.
//

#import "ImageIOViewController.h"

@implementation ImageIOViewController


/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];

    NSString *path = [[NSBundle mainBundle] pathForResource:@"photo" ofType:@"jpg"]; // 画像パス
	CGImageSourceRef img = CGImageSourceCreateWithURL((CFURLRef)[NSURL fileURLWithPath:path], nil); //画像ファイルを読み込み
    NSLog(@"%@", (NSDictionary*)CGImageSourceCopyPropertiesAtIndex(img, 0, NULL)); // 写真の情報を表示

    /*
    NSMutableDictionary* exifDict = [[[NSMutableDictionary alloc] init] autorelease];
    NSMutableDictionary* locDict = [[[NSMutableDictionary alloc] init] autorelease];
    NSDateFormatter* dateFormatter = [[[NSDateFormatter alloc] init] autorelease];
    [dateFormatter setDateFormat:@"yyyy:MM:dd HH:mm:ss"];
    NSString* datetime = [dateFormatter stringFromDate:lastLocation.timestamp];
    [exifDict setObject:datetime forKey:(NSString*)kCGImagePropertyExifDateTimeOriginal];
    [exifDict setObject:datetime forKey:(NSString*)kCGImagePropertyExifDateTimeDigitized];
    [locDict setObject:lastLocation.timestamp forKey:(NSString*)kCGImagePropertyGPSTimeStamp];
    if (lastLocation.coordinate.latitude <0.0){ 
        [locDict setObject:@"S" forKey:(NSString*)kCGImagePropertyGPSLatitudeRef];
    }else{ 
        [locDict setObject:@"N" forKey:(NSString*)kCGImagePropertyGPSLatitudeRef];
    } 
    [locDict setObject:[NSNumber numberWithFloat:lastLocation.coordinate.latitude] forKey:(NSString*)kCGImagePropertyGPSLatitude];
    if (lastLocation.coordinate.longitude <0.0){ 
        [locDict setObject:@"W" forKey:(NSString*)kCGImagePropertyGPSLongitudeRef];
    }else{ 
        [locDict setObject:@"E" forKey:(NSString*)kCGImagePropertyGPSLongitudeRef];
    } 
    [locDict setObject:[NSNumber numberWithFloat:lastLocation.coordinate.longitude] forKey:(NSString*)kCGImagePropertyGPSLongitude];
    NSMutableData* imageData = [[[NSMutableData alloc] init] autorelease];
    CGImageDestinationRef dest = CGImageDestinationCreateWithData((CFMutableDataRef)imageData, CGImageSourceGetType(img), 1, NULL);
    CGImageDestinationAddImageFromSource(dest, img, 0, 
                                         (CFDictionaryRef)[NSDictionary dictionaryWithObjectsAndKeys:
                                                           locDict, (NSString*)kCGImagePropertyGPSDictionary,
                                                           exifDict, (NSString*)kCGImagePropertyExifDictionary, nil]);
    CGImageDestinationFinalize(dest);
    CFRelease(img);
    CFRelease(dest);
    */
}



/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

@end
