//
//  iAdBasicViewController.h
//  iAdBasic
//
//  Created by Tomonari Shimada.
//  Copyright 2010 Blueair Inc. All rights reserved.
//

#import <UIKit/UIKit.h>
// iAdフレームワークのヘッダファイル読み込み
#import <iAd/iAd.h>

@class Reachability;

@interface iAdBasicViewController : UIViewController <ADBannerViewDelegate> // iAdのデリゲートを追加
{
    // インスタンス変数の定義
    ADBannerView *adBannerView;
    Reachability *internetReach;
}

// プロパティの定義
@property (nonatomic, retain) ADBannerView *adBannerView;
@property (nonatomic, retain) Reachability *internetReach;

@end

